---
title: Fetch details of a preset
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Presets](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/presets)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch details of a preset

client.RealtimeKit.Presets.GetPresetByID(ctx, appID, presetID, query) (\*[PresetGetPresetByIDResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/presets/{preset\_id}

Fetches details of a preset using the provided preset ID

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.presets%20%3E%20(method)%20get_preset_by_id%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

presetID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.presets%20%3E%20(method)%20get_preset_by_id%20%3E%20(params)%20default%20%3E%20(param)%20preset_id%20%3E%20(schema)>)

<details>

<summary>

query PresetGetPresetByIDParams

</summary>

AccountID param.Field\[string]

The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.presets%20%3E%20(method)%20get_preset_by_id%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.presets%20%3E%20(method)%20get_preset_by_id%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PresetGetPresetByIDResponse struct{…}

</summary>

<details>

<summary>

Data PresetGetPresetByIDResponseData

Data returned by the operation

</summary>

ID string

ID of the preset

formatuuid

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Config PresetGetPresetByIDResponseDataConfig

</summary>

MaxScreenshareCount float64

Maximum number of screen shares that can be active at a given time

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20max_screenshare_count">Link to this property</a>

<details>

<summary>

MaxVideoStreams PresetGetPresetByIDResponseDataConfigMaxVideoStreams

Maximum number of streams that are visible on a device

</summary>

Desktop float64

Maximum number of video streams visible on desktop devices

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20max_video_streams%20%3E%20(property)%20desktop">Link to this property</a>

Mobile float64

Maximum number of streams visible on mobile devices

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20max_video_streams%20%3E%20(property)%20mobile">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20max_video_streams">Link to this property</a>

<details>

<summary>

Media PresetGetPresetByIDResponseDataConfigMedia

Media configuration options. eg: Video quality

</summary>

<details>

<summary>

Screenshare PresetGetPresetByIDResponseDataConfigMediaScreenshare

Configuration options for participant screen shares

</summary>

FrameRate float64

Frame rate of screen share

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20frame_rate">Link to this property</a>

<details>

<summary>

Quality PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality

Quality of screen share

</summary>

One of the following:

const PresetGetPresetByIDResponseDataConfigMediaScreenshareQualityHD PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality = "hd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaScreenshareQualityVga PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality = "vga"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaScreenshareQualityQvga PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality = "qvga"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality%20%3E%20(member)%202">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaScreenshareQualityFhd PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality = "fhd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality%20%3E%20(member)%203">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaScreenshareQualityUhd PresetGetPresetByIDResponseDataConfigMediaScreenshareQuality = "uhd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20quality">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20screenshare">Link to this property</a>

<details>

<summary>

Video PresetGetPresetByIDResponseDataConfigMediaVideo

Configuration options for participant videos

</summary>

FrameRate float64

Frame rate of participants’ video

maximum30

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20frame_rate">Link to this property</a>

<details>

<summary>

Quality PresetGetPresetByIDResponseDataConfigMediaVideoQuality

Video quality of participants

</summary>

One of the following:

const PresetGetPresetByIDResponseDataConfigMediaVideoQualityHD PresetGetPresetByIDResponseDataConfigMediaVideoQuality = "hd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaVideoQualityVga PresetGetPresetByIDResponseDataConfigMediaVideoQuality = "vga"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaVideoQualityQvga PresetGetPresetByIDResponseDataConfigMediaVideoQuality = "qvga"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality%20%3E%20(member)%202">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaVideoQualityFhd PresetGetPresetByIDResponseDataConfigMediaVideoQuality = "fhd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality%20%3E%20(member)%203">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigMediaVideoQualityUhd PresetGetPresetByIDResponseDataConfigMediaVideoQuality = "uhd"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20quality">Link to this property</a>

Simulcast boolOptional

Enable simulcast for participant videos.

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20simulcast">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20video">Link to this property</a>

<details>

<summary>

Audio PresetGetPresetByIDResponseDataConfigMediaAudioOptional

Control options for Audio quality.

</summary>

EnableHighBitrate boolOptional

Enable High Quality Audio for your meetings

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20enable_high_bitrate">Link to this property</a>

EnableStereo boolOptional

Enable Stereo for your meetings

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20enable_stereo">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media%20%3E%20(property)%20audio">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20media">Link to this property</a>

<details>

<summary>

ViewType PresetGetPresetByIDResponseDataConfigViewType

Type of the meeting

</summary>

One of the following:

const PresetGetPresetByIDResponseDataConfigViewTypeGroupCall PresetGetPresetByIDResponseDataConfigViewType = "GROUP\_CALL"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20view_type%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigViewTypeWebinar PresetGetPresetByIDResponseDataConfigViewType = "WEBINAR"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20view_type%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigViewTypeAudioRoom PresetGetPresetByIDResponseDataConfigViewType = "AUDIO\_ROOM"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20view_type%20%3E%20(member)%202">Link to this property</a>

const PresetGetPresetByIDResponseDataConfigViewTypeLivestream PresetGetPresetByIDResponseDataConfigViewType = "LIVESTREAM"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20view_type%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20view_type">Link to this property</a>

LivestreamViewerQualities \[]int64Optional

Livestream viewer quality levels.

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config%20%3E%20(property)%20livestream_viewer_qualities">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20config">Link to this property</a>

CreatedAt Time

Timestamp this preset was created at

formatdate-time

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

Name string

Name of the preset

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20name">Link to this property</a>

<details>

<summary>

Permissions PresetGetPresetByIDResponseDataPermissions

</summary>

AcceptWaitingRequests bool

Whether this participant can accept waiting requests

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20accept_waiting_requests">Link to this property</a>

CanAcceptProductionRequests bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_accept_production_requests">Link to this property</a>

CanChangeParticipantPermissions bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_change_participant_permissions">Link to this property</a>

CanEditDisplayName bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_edit_display_name">Link to this property</a>

CanLivestream bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_livestream">Link to this property</a>

CanRecord bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_record">Link to this property</a>

CanSpotlight bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20can_spotlight">Link to this property</a>

<details>

<summary>

Chat PresetGetPresetByIDResponseDataPermissionsChat

</summary>

<details>

<summary>

Private PresetGetPresetByIDResponseDataPermissionsChatPrivate

</summary>

CanReceive bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20private%20%3E%20(property)%20can_receive">Link to this property</a>

CanSend bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20private%20%3E%20(property)%20can_send">Link to this property</a>

Files bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20private%20%3E%20(property)%20files">Link to this property</a>

Text bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20private%20%3E%20(property)%20text">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20private">Link to this property</a>

<details>

<summary>

Public PresetGetPresetByIDResponseDataPermissionsChatPublic

</summary>

CanSend bool

Can send messages in general

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20public%20%3E%20(property)%20can_send">Link to this property</a>

Files bool

Can send file messages

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20public%20%3E%20(property)%20files">Link to this property</a>

Text bool

Can send text messages

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20public%20%3E%20(property)%20text">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat%20%3E%20(property)%20public">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20chat">Link to this property</a>

<details>

<summary>

ConnectedMeetings PresetGetPresetByIDResponseDataPermissionsConnectedMeetings

</summary>

CanAlterConnectedMeetings bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20connected_meetings%20%3E%20(property)%20can_alter_connected_meetings">Link to this property</a>

CanSwitchConnectedMeetings bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20connected_meetings%20%3E%20(property)%20can_switch_connected_meetings">Link to this property</a>

CanSwitchToParentMeeting bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20connected_meetings%20%3E%20(property)%20can_switch_to_parent_meeting">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20connected_meetings">Link to this property</a>

DisableParticipantAudio bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20disable_participant_audio">Link to this property</a>

DisableParticipantScreensharing bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20disable_participant_screensharing">Link to this property</a>

DisableParticipantVideo bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20disable_participant_video">Link to this property</a>

HiddenParticipant bool

Whether this participant is visible to others or not

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20hidden_participant">Link to this property</a>

KickParticipant bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20kick_participant">Link to this property</a>

<details>

<summary>

Media PresetGetPresetByIDResponseDataPermissionsMedia

Media permissions

</summary>

<details>

<summary>

Audio PresetGetPresetByIDResponseDataPermissionsMediaAudio

Audio permissions

</summary>

<details>

<summary>

CanProduce PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduce

Can produce audio

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduceAllowed PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduce = "ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20can_produce%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduceNotAllowed PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduce = "NOT\_ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20can_produce%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduceCanRequest PresetGetPresetByIDResponseDataPermissionsMediaAudioCanProduce = "CAN\_REQUEST"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20can_produce%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20audio%20%3E%20(property)%20can_produce">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20audio">Link to this property</a>

<details>

<summary>

Screenshare PresetGetPresetByIDResponseDataPermissionsMediaScreenshare

Screenshare permissions

</summary>

<details>

<summary>

CanProduce PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduce

Can produce screen share video

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduceAllowed PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduce = "ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20can_produce%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduceNotAllowed PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduce = "NOT\_ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20can_produce%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduceCanRequest PresetGetPresetByIDResponseDataPermissionsMediaScreenshareCanProduce = "CAN\_REQUEST"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20can_produce%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20screenshare%20%3E%20(property)%20can_produce">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20screenshare">Link to this property</a>

<details>

<summary>

Video PresetGetPresetByIDResponseDataPermissionsMediaVideo

Video permissions

</summary>

<details>

<summary>

CanProduce PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduce

Can produce video

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduceAllowed PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduce = "ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20can_produce%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduceNotAllowed PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduce = "NOT\_ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20can_produce%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduceCanRequest PresetGetPresetByIDResponseDataPermissionsMediaVideoCanProduce = "CAN\_REQUEST"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20can_produce%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20video%20%3E%20(property)%20can_produce">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media%20%3E%20(property)%20video">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20media">Link to this property</a>

PinParticipant bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20pin_participant">Link to this property</a>

<details>

<summary>

Plugins PresetGetPresetByIDResponseDataPermissionsPlugins

Plugin permissions

</summary>

CanClose bool

Can close plugins that are already open

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20can_close">Link to this property</a>

CanEditConfig bool

Can edit plugin config

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20can_edit_config">Link to this property</a>

CanStart bool

Can start plugins

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20can_start">Link to this property</a>

<details>

<summary>

Config map\[string, PresetGetPresetByIDResponseDataPermissionsPluginsConfig]

Plugin configuration keyed by plugin UUID.

</summary>

<details>

<summary>

AccessControl PresetGetPresetByIDResponseDataPermissionsPluginsConfigAccessControlOptional

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsPluginsConfigAccessControlFullAccess PresetGetPresetByIDResponseDataPermissionsPluginsConfigAccessControl = "FULL\_ACCESS"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20config%20%3E%20(items)%20%3E%20(property)%20access_control%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsPluginsConfigAccessControlViewOnly PresetGetPresetByIDResponseDataPermissionsPluginsConfigAccessControl = "VIEW\_ONLY"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20config%20%3E%20(items)%20%3E%20(property)%20access_control%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20config%20%3E%20(items)%20%3E%20(property)%20access_control">Link to this property</a>

HandlesViewOnly boolOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20config%20%3E%20(items)%20%3E%20(property)%20handles_view_only">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins%20%3E%20(property)%20config">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20plugins">Link to this property</a>

<details>

<summary>

Polls PresetGetPresetByIDResponseDataPermissionsPolls

Poll permissions

</summary>

CanCreate bool

Can create polls

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20polls%20%3E%20(property)%20can_create">Link to this property</a>

CanView bool

Can view polls

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20polls%20%3E%20(property)%20can_view">Link to this property</a>

CanVote bool

Can vote on polls

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20polls%20%3E%20(property)%20can_vote">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20polls">Link to this property</a>

<details>

<summary>

RecorderType PresetGetPresetByIDResponseDataPermissionsRecorderType

Type of the recording peer

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsRecorderTypeRecorder PresetGetPresetByIDResponseDataPermissionsRecorderType = "RECORDER"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20recorder_type%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsRecorderTypeLivestreamer PresetGetPresetByIDResponseDataPermissionsRecorderType = "LIVESTREAMER"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20recorder_type%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsRecorderTypeNone PresetGetPresetByIDResponseDataPermissionsRecorderType = "NONE"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20recorder_type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20recorder_type">Link to this property</a>

ShowParticipantList bool

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20show_participant_list">Link to this property</a>

<details>

<summary>

WaitingRoomType PresetGetPresetByIDResponseDataPermissionsWaitingRoomType

Waiting room type

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsWaitingRoomTypeSkip PresetGetPresetByIDResponseDataPermissionsWaitingRoomType = "SKIP"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20waiting_room_type%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsWaitingRoomTypeOnPrivilegedUserEntry PresetGetPresetByIDResponseDataPermissionsWaitingRoomType = "ON\_PRIVILEGED\_USER\_ENTRY"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20waiting_room_type%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsWaitingRoomTypeSkipOnAccept PresetGetPresetByIDResponseDataPermissionsWaitingRoomType = "SKIP\_ON\_ACCEPT"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20waiting_room_type%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20waiting_room_type">Link to this property</a>

AcceptStageRequests boolOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20accept_stage_requests">Link to this property</a>

IsRecorder boolOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20is_recorder">Link to this property</a>

<details>

<summary>

StageAccess PresetGetPresetByIDResponseDataPermissionsStageAccessOptional

</summary>

One of the following:

const PresetGetPresetByIDResponseDataPermissionsStageAccessAllowed PresetGetPresetByIDResponseDataPermissionsStageAccess = "ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20stage_access%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsStageAccessNotAllowed PresetGetPresetByIDResponseDataPermissionsStageAccess = "NOT\_ALLOWED"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20stage_access%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataPermissionsStageAccessCanRequest PresetGetPresetByIDResponseDataPermissionsStageAccess = "CAN\_REQUEST"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20stage_access%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20stage_access">Link to this property</a>

StageEnabled boolOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20stage_enabled">Link to this property</a>

TranscriptionEnabled boolOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions%20%3E%20(property)%20transcription_enabled">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20permissions">Link to this property</a>

<details>

<summary>

UI PresetGetPresetByIDResponseDataUI

</summary>

<details>

<summary>

DesignTokens PresetGetPresetByIDResponseDataUIDesignTokens

</summary>

<details>

<summary>

BorderRadius PresetGetPresetByIDResponseDataUIDesignTokensBorderRadius

</summary>

One of the following:

const PresetGetPresetByIDResponseDataUIDesignTokensBorderRadiusSharp PresetGetPresetByIDResponseDataUIDesignTokensBorderRadius = "sharp"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_radius%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensBorderRadiusRounded PresetGetPresetByIDResponseDataUIDesignTokensBorderRadius = "rounded"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_radius%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensBorderRadiusExtraRounded PresetGetPresetByIDResponseDataUIDesignTokensBorderRadius = "extra-rounded"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_radius%20%3E%20(member)%202">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensBorderRadiusCircular PresetGetPresetByIDResponseDataUIDesignTokensBorderRadius = "circular"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_radius%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_radius">Link to this property</a>

<details>

<summary>

BorderWidth PresetGetPresetByIDResponseDataUIDesignTokensBorderWidth

</summary>

One of the following:

const PresetGetPresetByIDResponseDataUIDesignTokensBorderWidthNone PresetGetPresetByIDResponseDataUIDesignTokensBorderWidth = "none"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_width%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensBorderWidthThin PresetGetPresetByIDResponseDataUIDesignTokensBorderWidth = "thin"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_width%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensBorderWidthFat PresetGetPresetByIDResponseDataUIDesignTokensBorderWidth = "fat"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_width%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20border_width">Link to this property</a>

<details>

<summary>

Colors PresetGetPresetByIDResponseDataUIDesignTokensColors

</summary>

<details>

<summary>

Background PresetGetPresetByIDResponseDataUIDesignTokensColorsBackground

</summary>

Number1000 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background%20%3E%20(property)%201000">Link to this property</a>

Number600 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background%20%3E%20(property)%20600">Link to this property</a>

Number700 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background%20%3E%20(property)%20700">Link to this property</a>

Number800 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background%20%3E%20(property)%20800">Link to this property</a>

Number900 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background%20%3E%20(property)%20900">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20background">Link to this property</a>

<details>

<summary>

Brand PresetGetPresetByIDResponseDataUIDesignTokensColorsBrand

</summary>

Number300 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand%20%3E%20(property)%20300">Link to this property</a>

Number400 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand%20%3E%20(property)%20400">Link to this property</a>

Number500 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand%20%3E%20(property)%20500">Link to this property</a>

Number600 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand%20%3E%20(property)%20600">Link to this property</a>

Number700 string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand%20%3E%20(property)%20700">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20brand">Link to this property</a>

Danger string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20danger">Link to this property</a>

Success string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20success">Link to this property</a>

Text string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20text">Link to this property</a>

TextOnBrand string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20text_on_brand">Link to this property</a>

VideoBg string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20video_bg">Link to this property</a>

Warning string

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors%20%3E%20(property)%20warning">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20colors">Link to this property</a>

SpacingBase float64

minimum1

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20spacing_base">Link to this property</a>

<details>

<summary>

Theme PresetGetPresetByIDResponseDataUIDesignTokensTheme

</summary>

One of the following:

const PresetGetPresetByIDResponseDataUIDesignTokensThemeDarkest PresetGetPresetByIDResponseDataUIDesignTokensTheme = "darkest"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20theme%20%3E%20(member)%200">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensThemeDark PresetGetPresetByIDResponseDataUIDesignTokensTheme = "dark"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20theme%20%3E%20(member)%201">Link to this property</a>

const PresetGetPresetByIDResponseDataUIDesignTokensThemeLight PresetGetPresetByIDResponseDataUIDesignTokensTheme = "light"

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20theme%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20theme">Link to this property</a>

FontFamily stringOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20font_family">Link to this property</a>

GoogleFont stringOptional

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20google_font">Link to this property</a>

Logo stringOptional

formaturi

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens%20%3E%20(property)%20logo">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui%20%3E%20(property)%20design_tokens">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20ui">Link to this property</a>

UpdatedAt Time

Timestamp this preset was last updated

formatdate-time

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

Success bool

Success status of the operation

<a href="#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.presets%20%3E%20(model)%20PresetGetPresetByIDResponse%20%3E%20(schema)>)

### Fetch details of a preset

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Presets.GetPresetByID(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.PresetGetPresetByIDParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
```

200 example

```
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "config": {
      "max_screenshare_count": 0,
      "max_video_streams": {
        "desktop": 0,
        "mobile": 0
      },
      "media": {
        "screenshare": {
          "frame_rate": 0,
          "quality": "hd"
        },
        "video": {
          "frame_rate": 30,
          "quality": "hd",
          "simulcast": true
        },
        "audio": {
          "enable_high_bitrate": true,
          "enable_stereo": true
        }
      },
      "view_type": "GROUP_CALL",
      "livestream_viewer_qualities": [
        0
      ]
    },
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "permissions": {
      "accept_waiting_requests": true,
      "can_accept_production_requests": true,
      "can_change_participant_permissions": true,
      "can_edit_display_name": true,
      "can_livestream": true,
      "can_record": true,
      "can_spotlight": true,
      "chat": {
        "private": {
          "can_receive": true,
          "can_send": true,
          "files": true,
          "text": true
        },
        "public": {
          "can_send": true,
          "files": true,
          "text": true
        }
      },
      "connected_meetings": {
        "can_alter_connected_meetings": true,
        "can_switch_connected_meetings": true,
        "can_switch_to_parent_meeting": true
      },
      "disable_participant_audio": true,
      "disable_participant_screensharing": true,
      "disable_participant_video": true,
      "hidden_participant": true,
      "kick_participant": true,
      "media": {
        "audio": {
          "can_produce": "ALLOWED"
        },
        "screenshare": {
          "can_produce": "ALLOWED"
        },
        "video": {
          "can_produce": "ALLOWED"
        }
      },
      "pin_participant": true,
      "plugins": {
        "can_close": true,
        "can_edit_config": true,
        "can_start": true,
        "config": {
          "foo": {
            "access_control": "FULL_ACCESS",
            "handles_view_only": true
          }
        }
      },
      "polls": {
        "can_create": true,
        "can_view": true,
        "can_vote": true
      },
      "recorder_type": "RECORDER",
      "show_participant_list": true,
      "waiting_room_type": "SKIP",
      "accept_stage_requests": true,
      "is_recorder": true,
      "stage_access": "ALLOWED",
      "stage_enabled": true,
      "transcription_enabled": true
    },
    "ui": {
      "design_tokens": {
        "border_radius": "sharp",
        "border_width": "none",
        "colors": {
          "background": {
            "600": "600",
            "700": "700",
            "800": "800",
            "900": "900",
            "1000": "1000"
          },
          "brand": {
            "300": "300",
            "400": "400",
            "500": "500",
            "600": "600",
            "700": "700"
          },
          "danger": "danger",
          "success": "success",
          "text": "text",
          "text_on_brand": "text_on_brand",
          "video_bg": "video_bg",
          "warning": "warning"
        },
        "spacing_base": 1,
        "theme": "darkest",
        "font_family": "font_family",
        "google_font": "google_font",
        "logo": "https://example.com"
      }
    },
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "config": {
      "max_screenshare_count": 0,
      "max_video_streams": {
        "desktop": 0,
        "mobile": 0
      },
      "media": {
        "screenshare": {
          "frame_rate": 0,
          "quality": "hd"
        },
        "video": {
          "frame_rate": 30,
          "quality": "hd",
          "simulcast": true
        },
        "audio": {
          "enable_high_bitrate": true,
          "enable_stereo": true
        }
      },
      "view_type": "GROUP_CALL",
      "livestream_viewer_qualities": [
        0
      ]
    },
    "created_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "permissions": {
      "accept_waiting_requests": true,
      "can_accept_production_requests": true,
      "can_change_participant_permissions": true,
      "can_edit_display_name": true,
      "can_livestream": true,
      "can_record": true,
      "can_spotlight": true,
      "chat": {
        "private": {
          "can_receive": true,
          "can_send": true,
          "files": true,
          "text": true
        },
        "public": {
          "can_send": true,
          "files": true,
          "text": true
        }
      },
      "connected_meetings": {
        "can_alter_connected_meetings": true,
        "can_switch_connected_meetings": true,
        "can_switch_to_parent_meeting": true
      },
      "disable_participant_audio": true,
      "disable_participant_screensharing": true,
      "disable_participant_video": true,
      "hidden_participant": true,
      "kick_participant": true,
      "media": {
        "audio": {
          "can_produce": "ALLOWED"
        },
        "screenshare": {
          "can_produce": "ALLOWED"
        },
        "video": {
          "can_produce": "ALLOWED"
        }
      },
      "pin_participant": true,
      "plugins": {
        "can_close": true,
        "can_edit_config": true,
        "can_start": true,
        "config": {
          "foo": {
            "access_control": "FULL_ACCESS",
            "handles_view_only": true
          }
        }
      },
      "polls": {
        "can_create": true,
        "can_view": true,
        "can_vote": true
      },
      "recorder_type": "RECORDER",
      "show_participant_list": true,
      "waiting_room_type": "SKIP",
      "accept_stage_requests": true,
      "is_recorder": true,
      "stage_access": "ALLOWED",
      "stage_enabled": true,
      "transcription_enabled": true
    },
    "ui": {
      "design_tokens": {
        "border_radius": "sharp",
        "border_width": "none",
        "colors": {
          "background": {
            "600": "600",
            "700": "700",
            "800": "800",
            "900": "900",
            "1000": "1000"
          },
          "brand": {
            "300": "300",
            "400": "400",
            "500": "500",
            "600": "600",
            "700": "700"
          },
          "danger": "danger",
          "success": "success",
          "text": "text",
          "text_on_brand": "text_on_brand",
          "video_bg": "video_bg",
          "warning": "warning"
        },
        "spacing_base": 1,
        "theme": "darkest",
        "font_family": "font_family",
        "google_font": "google_font",
        "logo": "https://example.com"
      }
    },
    "updated_at": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```